using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

using Syncfusion.Windows.Forms.Grid;
using Syncfusion.Windows.Forms.Grid.Grouping;
using Syncfusion.Grouping;

namespace GGC_GroupingIssue
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            this.gridGroupingControl1.ShowGroupDropArea = true;
            this.gridGroupingControl1.DataSource = GetTable();
            this.gridGroupingControl1.QueryCoveredRange += new Syncfusion.Windows.Forms.Grid.Grouping.GridTableQueryCoveredRangeEventHandler(gridGroupingControl1_QueryCoveredRange);

            this.gridGroupingControl1.TableDescriptor.GroupedColumns.Add("State");
            this.gridGroupingControl1.TableDescriptor.GroupedColumns.Add("City");
            this.gridGroupingControl1.TableDescriptor.GroupedColumns.Add("Zip");

            this.gridGroupingControl1.TableDescriptor.VisibleColumns.Remove("State");
            this.gridGroupingControl1.TableDescriptor.VisibleColumns.Remove("City");            
        }     

        Random r  = new Random();        
        DataTable GetTable()
        {
            DataTable dt = new DataTable();
            dt.Columns.Add("State");
            dt.Columns.Add("City");
            dt.Columns.Add("Zip");

            for (int i = 0; i < 10; i++)
            {
                DataRow dr = dt.NewRow();
                dr[0] = string.Format("State{0}", i);
                dr[1] = string.Format("City{0}", i);
                dr[2] = string.Format("{0}", r.Next(9999999));
                dt.Rows.Add(dr);
            }
            return dt;
        }
    }
}